#ifndef __LINK_H__
#define __LINK_H__
#ifdef __cplusplus
extern "C" {
#endif


#include "libgba/gba.h"
#include <stdio.h>
#include <stdlib.h>
#include "lua/lua.h"
#include "lua/lualib.h"
#include "lua/lauxlib.h"


//---------------------------------------------------------------------------


//---------------------------------------------------------------------------

typedef struct {
	lua_State* L;

} ST_LINK;


//---------------------------------------------------------------------------
EWRAM_CODE void LinkInit(void);
EWRAM_CODE void LinkExec(void);

EWRAM_CODE void LinkSetFile(char* p);

EWRAM_CODE void LinkBgDrawStr(lua_State* L);
EWRAM_CODE void LinkBgDrawPoint(lua_State* L);


#ifdef __cplusplus
}
#endif
#endif
