#include "any.h"
#include "libmy/gbfs.h"


//---------------------------------------------------------------------------
EWRAM_CODE void AnyInit(void)
{
	// EMPTY
}
//---------------------------------------------------------------------------
EWRAM_CODE FILE* AnyFopen(const char* fn, const char* mode)
{
	_ASSERT(_Strncmp((char*)mode, "r", 1) == 0);


	FILE* p = calloc(1, sizeof(FILE));

	// l_pȊOAKɃZbgĂ܂
	p->_p  = (unsigned char*)GbfsGetSafePointer((char*)fn);
	p->_up = p->_p;
	p->_r  = GbfsGetFileSize();
	p->_w  = GbfsGetFileCnt();

	return p;
}
//---------------------------------------------------------------------------
EWRAM_CODE FILE* AnyFreopen(const char* fn, const char* mode, FILE* p)
{
	_ASSERT(0);

	return NULL;
}
//---------------------------------------------------------------------------
EWRAM_CODE int AnyFclose(FILE* p)
{
	free(p);

	return 0;
}
//---------------------------------------------------------------------------
EWRAM_CODE int AnyFerror(FILE* p)
{
	return 0;
}
//---------------------------------------------------------------------------
EWRAM_CODE int AnyGetC(FILE* p)
{
	if((p->_p - p->_up) >= p->_r)
	{
		return EOF;
	}

	return *p->_p++;
}
//---------------------------------------------------------------------------
EWRAM_CODE int AnyUnGetC(int c, FILE* p)
{
	p->_p--;

	return 0;
}
